io.undertow.protocols.http2

## Class Http2GoAwayParser

- java.lang.Object
- - io.undertow.protocols.http2.Http2PushBackParser
  - - io.undertow.protocols.http2.Http2GoAwayParser

    public class Http2GoAwayParser
    extends Http2PushBackParser

Parser for HTTP2 GO_AWAY frames

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`Http2GoAwayParser(int frameLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLastGoodStreamId()`
`int` `getStatusCode()`
`protected void` `handleData(ByteBuffer resource, io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)`

### Methods inherited from class io.undertow.protocols.http2.Http2PushBackParser

`finish, getFrameLength, isFinished, moreData, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http2GoAwayParser

    public Http2GoAwayParser(int frameLength)

### Method Detail

#### handleData

    protected void handleData(ByteBuffer resource,
                              io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)

Specified by:
  `handleData` in class `Http2PushBackParser`

#### getStatusCode

    public int getStatusCode()

#### getLastGoodStreamId

    public int getLastGoodStreamId()